跳至主要內容
API 參考
API 參考

OpenAI Embeddings

透過 RunAPI 的 OpenAI 相容 Embeddings 操作傳送請求。

01

概覽

使用 RunAPI 的 OpenAI 相容 Embeddings 操作,配合相容模型及該協定的請求與回應格式。

快速入門

  1. 建立 API 金鑰並將其設定為 RUNAPI_API_KEY。
  2. 選擇相容的模型,然後發送文檔中的路徑參數和 JSON 主體。
  3. 讀取此操作所示的 JSON 回應或伺服器推送事件,並處理協定錯誤。

端點

POST /v1/embeddings
基礎 URL
https://runapi.ai
合約版本
v1
建議的身份驗證方式
Authorization: Bearer YOUR_API_TOKEN
02

身份驗證載體

RunAPI 接受以下列出的每種載體。生成的範例使用協議的首選標頭。

header - 建議
Authorization: Bearer YOUR_API_TOKEN
header
x-api-key: YOUR_API_TOKEN
header
x-goog-api-key: YOUR_API_TOKEN
query
?key=YOUR_API_TOKEN
03

相容模型

開啟模型頁面以查看當前定價、速率限制及商業用途詳情。

顯示 3 個相容模型
04

請求合約

JSON 內容

僅列出同時具有公開協議和 RunAPI 支援證明的欄位。額外的 JSON 主體欄位將直接傳遞。

JSON 內文4 個欄位
dimensionsinteger
選填

支援該功能的模型所需的輸出向量維度。

encoding_formatstring
選填

用於返回嵌入向量的格式。

input["string", "array"]
必填

待嵌入的文字或 token 陣列。

modelstring
必填

RunAPI 嵌入模型識別符。

請求範例

JSON
{
  "input": "The quick brown fox.",
  "model": "text-embedding-3-small"
}
05

同步回應

HTTP 200

結構描述

JSON
{
  "additionalProperties": true,
  "properties": {
    "data": {
      "type": "array"
    },
    "model": {
      "type": "string"
    },
    "object": {
      "const": "list",
      "type": "string"
    },
    "usage": {
      "additionalProperties": true,
      "properties": {
        "prompt_tokens": {
          "type": "integer"
        },
        "total_tokens": {
          "type": "integer"
        }
      },
      "required": [
        "prompt_tokens",
        "total_tokens"
      ],
      "type": "object"
    }
  },
  "required": [
    "object",
    "data",
    "model",
    "usage"
  ],
  "type": "object"
}

範例

JSON
{
  "data": [
    {
      "embedding": [
        0.0023,
        -0.0093,
        0.0151
      ],
      "index": 0,
      "object": "embedding"
    }
  ],
  "model": "text-embedding-3-small",
  "object": "list",
  "usage": {
    "prompt_tokens": 5,
    "total_tokens": 5
  }
}
06

協定錯誤:invalid_request

HTTP 400

結構描述

JSON
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

範例

JSON
{
  "error": {
    "code": null,
    "message": "input is required",
    "param": "input",
    "type": "invalid_request_error"
  }
}
07

用量

結構描述

JSON
{
  "additionalProperties": true,
  "properties": {
    "prompt_tokens": {
      "type": "integer"
    },
    "total_tokens": {
      "type": "integer"
    }
  },
  "required": [
    "prompt_tokens",
    "total_tokens"
  ],
  "type": "object"
}

範例

JSON
{
  "prompt_tokens": 5,
  "total_tokens": 5
}
08

已生成的程式碼範例

每個 cURL、JavaScript 及 Python 範例均透過此合約發送已驗證的請求,無需使用特定協議的 SDK。

安裝

Shell
pip install requests
PYTHON
import requests

response = requests.post(
    "https://runapi.ai/v1/embeddings",
    headers={"Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json"},
    json={"model": "text-embedding-3-small", "input": "The quick brown fox."}
)
response.raise_for_status()
print(response.json())